aboutsummaryrefslogtreecommitdiffstats
path: root/main/open-iscsi/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-07-08 06:29:45 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-07-08 06:53:20 +0000
commit991001c6f9ccf4f57efd4acff85e30801b1d785d (patch)
tree8bb0cece92da03878c53747d9822fc18f43fd1f9 /main/open-iscsi/APKBUILD
parent7d7811aa6295c3373d5cddd0cdffaa55293855c2 (diff)
downloadaports-991001c6f9ccf4f57efd4acff85e30801b1d785d.tar.gz
aports-991001c6f9ccf4f57efd4acff85e30801b1d785d.tar.bz2
aports-991001c6f9ccf4f57efd4acff85e30801b1d785d.tar.xz
Revert "main/open-iscsi: removed"
we still need open-iscsi for the initiator This reverts commit 570661a829deb7f4de4b62e5379a424acb2ed9e2.
Diffstat (limited to 'main/open-iscsi/APKBUILD')
-rw-r--r--main/open-iscsi/APKBUILD50
1 files changed, 50 insertions, 0 deletions
diff --git a/main/open-iscsi/APKBUILD b/main/open-iscsi/APKBUILD
new file mode 100644
index 0000000000..b37759e55f
--- /dev/null
+++ b/main/open-iscsi/APKBUILD
@@ -0,0 +1,50 @@
+# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
+pkgname=open-iscsi
+pkgver=2.0.873
+_realver=${pkgver%.*}-${pkgver##*.}
+pkgrel=1
+pkgdesc="High performance, transport independent, multi-platform iSCSI initiator"
+url="http://www.open-iscsi.org"
+arch="all"
+license="GPL-2"
+depends=
+makedepends="openssl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://www.open-iscsi.org/bits/open-iscsi-$_realver.tar.gz
+ iscsid.initd
+ iscsid.confd"
+
+_builddir="$srcdir"/$pkgname-$_realver
+
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ make user || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install_user
+ mkdir -p $pkgdir/usr/bin
+ mkdir -p $pkgdir/usr/sbin
+ mv $pkgdir/sbin/iscsi-iname $pkgdir/usr/bin
+ mv $pkgdir/sbin/iscsi_discovery $pkgdir/usr/bin
+ mv $pkgdir/sbin/iscsiadm $pkgdir/usr/bin
+ mv $pkgdir/sbin/iscsid $pkgdir/usr/sbin
+ install -Dm755 "$srcdir"/iscsid.initd "$pkgdir"/etc/init.d/iscsid
+ install -Dm644 "$srcdir"/iscsid.confd "$pkgdir"/etc/conf.d/iscsid
+}
+
+md5sums="8b8316d7c9469149a6cc6234478347f7 open-iscsi-2.0-873.tar.gz
+1462e44ce6ec4ae44ec83d0ffcd3cdda iscsid.initd
+b762b687d4628791b4362df22cf22d34 iscsid.confd"
+sha256sums="7dd9f2f97da417560349a8da44ea4fcfe98bfd5ef284240a2cc4ff8e88ac7cd9 open-iscsi-2.0-873.tar.gz
+3bad25eba8254de845e41016df65855673c85a76ff96af713c7eab62c646bb7a iscsid.initd
+673bf4744efc3276d372587c996270821d39dcdc0bf27a13691ea6b0e814b6d0 iscsid.confd"
+sha512sums="4e67116cb7dd49381c9279645e5a661f05596ae6be3b832772089828b3764ca2d04b5dea1bcc337071efb52c3c75a6fb943136c659ee59500f3a198ed0dcea6b open-iscsi-2.0-873.tar.gz
+ac3894a62d27a975c7ec6dbc639e7442d6f1472e4fe0967f813cc78de4a36418fcb584888012f1927a83bb2c73c26f85031cb411d49ba5356772dfd23e426c3f iscsid.initd
+075bb9cb783be7ccbc799947e0e042b85310d40b3045141dc1be40ca84ed1cc0e1e54559df501c512c179e28375314b27a03c15d9a6d4b1cabd428b2279985d3 iscsid.confd"